<?php 
/**
* Flexi Trendy News - Joomla Module
* Version			: 2.0
* Created by		: Techicore.Com for RumahBelanja.com
* Created on		: v1.0 - November 2010
* Updated			: v2.0 - 24 December 2011
* Package			: Joomla 1.6.x
* Based on			: Flexi Latest News
* License			: http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

$document=& JFactory::getDocument();
$config =& JFactory::getConfig();
$offset = $config->getValue('config.offset');		
$app = JFactory::getApplication();


$name_sys 		= $params->get( 'name_sys', 1 );
$intregated_sys	= $params->get( 'intregated_sys', 1 );
$time_sys		= $params->get( 'time_sys', 1);
$time_type 		= $params->get( 'time_type');
$hits_system	= $params->get( 'hits_system', 1);
$combination_type		= $params->get( 'combination_type', 1 );
$separator_art_date 	= $params->get( 'separator_art_date', ' |');
$design_type			= $params->get( 'design_type', 0);
$css_background			= $params->get( 'css_background');
$csshover_background	= $params->get( 'csshover_background');
$css_border				= $params->get( 'css_border');
$css_border_thickness	= $params->get( 'css_border_thickness');
$css_border_form		= $params->get( 'css_border_form');
$hits_color				= $params->get( 'hits_color');
$shared_color			= $params->get( 'shared_color');

$sef 			= $app->getCfg('sef');
$sef_rewrite 	= $app->getCfg('sef_rewrite');
$sef_suffix 	= $app->getCfg('sef_suffix');
$moduleclass_style="ftn";

$baseurl = JURI::base();

//SEO System
$seo_onoff = $sef + $sef_rewrite;

switch ( $combination_type ) {
		
	case 1;
		if ($sef=="1") {
				if ($sef_rewrite=="1") {
					$forum_seoprofiler = "forum/profile/userid-";
				} else {
					$forum_seoprofiler = "index.php/forum/profile/userid-";
				}
		}	else {
			$forum_seoprofiler = "index.php?option=com_kunena&func=profile&userid=";
			}
	break;
	
	case 2;
		if ($sef=="1") {
				if ($sef_rewrite=="1") {
					$forum_seoprofiler = "component/comprofiler/userprofile/";
				} else {
					$forum_seoprofiler = "index.php/component/comprofiler/userprofile/";
				}
		}	else {
			$forum_seoprofiler = "index.php?option=com_comprofiler&task=userProfile&user=";
			}
	break;
	
	}
	
//Calculation
$name_time_cal=$time_sys+$name_sys;

//CSS
if ($design_type=="0"){
	$document->addStyleSheet('modules/mod_flexitrendynews/tmpl/style.css');
}
?>
<?php if ($design_type=="1"){?>
	<style type="text/css">	
	.ftn li {
		background:<?php echo $css_background; ?>;
		border:<?php echo $css_border_thickness; ?> <?php echo $css_border_form; ?> <?php echo $css_border; ?>;
		padding: 2px 0px 2px 2px;
	}
	.ftn li:hover {
		background:<?php echo $csshover_background; ?>;
		border:<?php echo $css_border; ?>;
		padding: 2px 0px 2px 2px;
	}
	.hitstyle {
		color:<?php echo $hits_color; ?>;
	}
	.sharedby{
		color:<?php echo $shared_color; ?>;
	}
	</style>
<?php }?>

<ul class="ftn<?php echo $moduleclass_sfx; ?>">
<?php foreach ($list as $item) : ?>
	<?php 	$user_def=$item->created_by;
			if ($sef_suffix=="1") {
			$suffix_on_def=".html";
			$user_def=$user_def.$suffix_on_def;
			} else {$user_def=$user_def;} 
			?>
	<li>
	
	<?php //HITS Calculation
			$hits = $item->hits; 
			
			//Hits Before Title 
			if ($hits_system == "2") {echo "<span class=\"hitstyle\">(".$hits.")</span>";} else {echo "";}
	?>
		<a href="<?php echo $item->link; ?>" class="<?php echo $moduleclass_style; ?><?php echo $params->get('moduleclass_sfx'); ?>">
			<?php echo $item->text; ?></a> 
			
			<?php
			//Hits After Title 
			if ($hits_system == "1") {echo "<span class=\"hitstyle\">(".$hits.")</span>";} else {echo "";}
			
			//Separator After Title
			if ($name_time_cal=="0") {echo "";}
			else { echo "<br/>"; }
			 ?>
			
			<?php switch ( $combination_type ) {
			
			case 0;
			default;
				
				switch ( $time_sys ) {
					case 0;
					default;
					if ($name_sys=="1") {
						echo "<span class=\"sharedby\">";
						echo JText::_('SHARED_BY');
						echo " $item->name</span>"; }
					break;
			
					case 1;
					if ($name_sys=="1") {
						echo "<span class=\"sharedby\">";
						echo JText::_('SHARED_BY');
						echo " $item->name"; 
						echo "$separator_art_date ";
						echo JHTML::_('date', $item->created,"$time_type", $offset); echo "</span>"; 
						} else {
						echo "<span class=\"sharedby\">";
						echo JHTML::_('date', $item->created,"$time_type", $offset); echo "</span>"; 
						}
					break;
			
					case 2;
					if ($name_sys=="1") {
						echo "<span class=\"sharedby\">";
						echo JHTML::_('date', $item->created,"$time_type", $offset); 
						echo "$separator_art_date ";
						echo JText::_('SHARED_BY');
						echo " $item->name"; 
						echo "</span>"; 
						} else {
						echo "<span class=\"sharedby\">";
						echo JHTML::_('date', $item->created,"$time_type", $offset); echo "</span>"; 
						}
					break;
					
				}
			break;
			
			case 1;	
				switch ( $time_sys ) {
					case 0;
					default;
					if ($name_sys=="1") {
						echo "<span class=\"sharedby\">";
						echo JText::_('SHARED_BY');
						echo " <a href=\"$forum_seoprofiler"; echo "$user_def \">$item->name</a>";
						echo "</span>"; 
						}
					break;
					
					case 1;				
					if ($name_sys=="1") {
						echo "<span class=\"sharedby\">";
						echo JText::_('SHARED_BY');
						echo " <a href=\"$forum_seoprofiler"; echo "$user_def \">$item->name</a>";
						echo "$separator_art_date ";
						echo JHTML::_('date', $item->created,"$time_type", $offset); echo "</span>"; 
						} else {
						echo "<span class=\"sharedby\">";
						echo JHTML::_('date', $item->created,"$time_type", $offset); echo "</span>"; 
						}
					break;
					
					case 2;
					if ($name_sys=="1") {
						echo "<span class=\"sharedby\">";
						echo JHTML::_('date', $item->created,"$time_type", $offset); 
						echo "$separator_art_date ";
						echo JText::_('SHARED_BY');
						echo " <a href=\"$forum_seoprofiler"; echo "$user_def \">$item->name</a>";
						echo "</span>"; 
						} else {
						echo "<span class=\"sharedby\">";
						echo JHTML::_('date', $item->created,"$time_type", $offset); echo "</span>"; 
							}
					break;
				}
			break;
			
			case 2;	
				switch ( $time_sys ) {
					case 0;
					default;
					if ($name_sys=="1") {
						echo "<span class=\"sharedby\">";
						echo JText::_('SHARED_BY');

						echo " <a href=\"$forum_seoprofiler"; echo "$user_def \">$item->name</a>";
						echo "</span>"; 
						}
					break;
					
					case 1;				
					if ($name_sys=="1") {
						echo "<span class=\"sharedby\">";
						echo JText::_('SHARED_BY');
						echo " <a href=\"$forum_seoprofiler"; echo "$user_def \">$item->name</a>";
						echo "$separator_art_date ";
						echo JHTML::_('date', $item->created,"$time_type", $offset); echo "</span>"; 
						} else {
						echo "<span class=\"sharedby\">";
						echo JHTML::_('date', $item->created,"$time_type", $offset); echo "</span>"; 
						}
					break;
					
					case 2;
					if ($name_sys=="1") {
						echo "<span class=\"sharedby\">";
						echo JHTML::_('date', $item->created,"$time_type", $offset); 
						echo "$separator_art_date ";
						echo JText::_('SHARED_BY');
						echo " <a href=\"$forum_seoprofiler"; echo "$user_def \">$item->name</a>";
						echo "</span>"; 
						} else {
						echo "<span class=\"sharedby\">";
						echo JHTML::_('date', $item->created,"$time_type", $offset); echo "</span>"; 
							}
					break;
				}
			break;
			
				
			case 3;	
				switch ( $time_sys ) {
					case 0;
					default;
					if ($name_sys=="1") {
						echo "<span class=\"sharedby\">";
						echo JText::_('SHARED_BY');
						echo " <a href=\"$forum_seoprofiler"; echo "$user_def \">$item->name</a>";
						echo "</span>"; 
						}
					break;
					
					case 1;				
					if ($name_sys=="1") {
						echo "<span class=\"sharedby\">";
						echo JText::_('SHARED_BY');
						if ($seo_onoff=="2") { 
							echo " <a href=\"$joomsos_profilersef_s"; 
							echo "$user_def"; echo "-";
							echo "$item->username";
							echo "$joomsos_profilersef_e; \">$item->name</a>";
							} else {
							echo " <a href=\"$forum_seoprofiler"; echo "$user_def \">$item->name</a>";
						}
							
						//echo " <a href=\"$forum_seoprofiler"; echo "$user_def \">$item->name</a>";
						echo "$separator_art_date ";
						echo JHTML::_('date', $item->created,"$time_type", $offset); echo "</span>"; 
						} else {
						echo "<span class=\"sharedby\">";
						echo JHTML::_('date', $item->created,"$time_type", $offset); echo "</span>"; 
						}
					break;
					
					case 2;
					if ($name_sys=="1") {
						echo "<span class=\"sharedby\">";
						echo JHTML::_('date', $item->created,"$time_type", $offset); 
						echo "$separator_art_date ";
						echo JText::_('SHARED_BY');
						if ($seo_onoff=="2") { 
							echo " <a href=\"$joomsos_profilersef_s"; 
							echo "$user_def"; echo "-";
							echo "$item->username";
							echo "$joomsos_profilersef_e; \">$item->name</a>";
							} else {
							echo " <a href=\"$forum_seoprofiler"; echo "$user_def \">$item->name</a>";
						}
						//echo " <a href=\"$forum_seoprofiler"; echo "$user_def \">$item->name</a>";
						echo "</span>"; 
						} else {
						echo "<span class=\"sharedby\">";
						echo JHTML::_('date', $item->created,"$time_type", $offset); echo "</span>"; 
							}
					break;
				}
			break;
			
			
			}?>
	</li>
<?php endforeach; ?>
</ul>